Subject: Re: linux-next: build failure after merge of the pm tree (and warning)

From: Tejun Heo <[email-masked]>
Date: Mon, 14 Nov 2011 15:39:57 -0800

Hello, Guennadi.

On Tue, Nov 15, 2011 at 12:33:29AM +0100, Guennadi Liakhovetski wrote:
> No, this isn't a correct fix.

I've been looking at the code and am scratching my head about what
happens after timeout.  If test timed out (tmo == 0), it prints out
error message and continues to the next iteration of the test loop,
which will reinitialize the on-stack completion.  This essentially
makes the previous test run's callback_param pointer dangling.  The
completion needs to be either detached from the callback or waited
upon even if it timed out.  Am I missing something?

Thanks.

-- 
tejun